<html>
<head>
<link rel="stylesheet" type="text/css" href="satallax.css"/>
<title>
Satallax (People)
</title>
</head>
<body>
<?php
include("navigate.php");
myheader();
navigate("People");
?>
<h2>People</h2>
<h3>Developers</h3>
<div class="person"><a href="https://en.wikipedia.org/wiki/Roj_Blake">Chad E. Brown</a>: the primary developer.
He wrote most of the lisp code for Satallax 1.* and the search related ocaml code for Satallax 2.0.</div>
<div class="person">Michael F&auml;rber wrote the Machine Learning code and did a major refactoring of the other code. His code is part of Satallax 3.0 (and above).</div>
<div class="person"><a href="https://www.cl.cam.ac.uk/~ns441/">Nik Sultana</a> wrote code to construct Isabelle proofs
from Satallax refutations.</div>
<div class="person"><a href="https://www.ps.uni-saarland.de/~teucke/">Andreas Teucke</a>
was a Bachelor student in 
<a href="https://www.ps.uni-saarland.de/~smolka/">Professor Gert Smolka's</a> <a href="https://www.ps.uni-saarland.de/">Lehrstuhl</a>
who wrote ocaml code to create Coq-readable proof terms from Satallax refutations.
</div>
<h3>Contributors</h3>
<div class="person"><a href="http://www.cs.miami.edu/~geoff/">Geoff Sutcliffe</a>: Geoff Sutcliffe
runs the <a href="http://www.cs.miami.edu/~tptp/">TPTP</a>.  He
tests Satallax and makes sure it stays TPTP compliant.
Satallax can be run online via the
<a href="http://www.cs.miami.edu/~tptp/cgi-bin/SystemOnTPTP">System On TPTP</a> page.
</div>
<div class="person"><a href="http://www.boldsolutions.de/">Frank Thei&szlig;</a>: Frank Thei&szlig; wrote ocaml code to parse TPTP syntax.  This code
was written to be used in LEO-II, but it has now also been used in Satallax.
</div>
<h3>Acknowledgements</h3>
<div class="person"><a href="https://www.ps.uni-saarland.de/~smolka/">Gert Smolka</a>:
Satallax was initially developed in Gert Smolka's <a href="https://www.ps.uni-saarland.de/">Lehrstuhl</a> at 
<a href="https://www.uni-saarland.de/">Universit&auml;t des Saarlandes</a>.
The search procedure for Satallax is largely based on a complete tableau calculus
for simple type theory without choice developed by 
<a href="https://www.ps.uni-saarland.de/Publications/details/BrownSmolka2010.html">Brown and Smolka</a>.
The results on restricted instantiations which permit Satallax to terminate indicating
satisfiability in some essentially first-order problems
also come from the work of Brown and Smolka.
</div>
<div class="person"><a href="https://www.ps.uni-saarland.de/~julian/">Julian Backes</a>:
Julian Backes was a Master student of Chad Brown in the Smolka Lehrstuhl.
Backes and Brown extended the tableau calculus of Brown and Smolka to be complete
for simple type theory with a 
<a href="https://www.ps.uni-saarland.de/Publications/details/BackesBrown2011.html">choice operator</a>.
</div>
<div class="person"><a href="https://page.mi.fu-berlin.de/cbenzmueller/">Christoph Benzm&uuml;ller</a>
is the primary developer of LEO-II
and has done a lot of work in higher-order theorem proving for a long time.
Satallax and LEO-II use some of the same parsing code.
</div>
<div class="person"><a href="http://een.se/niklas/">Niklas E&eacute;n</a>
and
<a href="https://github.com/niklasso">Niklas S&ouml;rensson</a> are
the authors of MiniSat, on top of which Satallax is built.
</div>
<div class="person"><a href="http://www.cs.ru.nl/~kuehlwein/">Daniel Kuehlwein</a> 
is a researcher responsible for <a href="https://code.google.com/p/males/">Satallax-MaLeS</a>,
an alternative version of Satallax with a strategy schedule computed using machine learning techniques.
</div>
</body></html>
